net.fortuna.ical4j.model.property

## Class DtStamp

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.DateProperty
      - - net.fortuna.ical4j.model.property.UtcProperty
        - - net.fortuna.ical4j.model.property.DtStamp

All Implemented Interfaces:
  Serializable

    public class DtStamp
    extends UtcProperty

$Id$ Created: [Apr 6, 2004] Defines a DTSTAMP iCalendar component property.

         4.8.7.2 Date/Time Stamp

            Property Name: DTSTAMP

            Purpose: The property indicates the date/time that the instance of
            the iCalendar object was created.

            Value Type: DATE-TIME

            Property Parameters: Non-standard property parameters can be
            specified on this property.

            Conformance: This property MUST be included in the "VEVENT", "VTODO",
            "VJOURNAL" or "VFREEBUSY" calendar components.

            Description: The value MUST be specified in the UTC time format.

            This property is also useful to protocols such as [IMIP] that have
            inherent latency issues with the delivery of content. This property
            will assist in the proper sequencing of messages containing iCalendar
            objects.

            This property is different than the "CREATED" and "LAST-MODIFIED"
            properties. These two properties are used to specify when the
            particular calendar data in the calendar store was created and last
            modified. This is different than when the iCalendar object
            representation of the calendar service information was created or
            last modified.

            Format Definition: The property is defined by the following notation:

              dtstamp    = "DTSTAMP" stmparam ":" date-time CRLF

              stmparam   = *(";" xparam)

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`DtStamp()` Default constructor.
`DtStamp(DateTime aDate)`
`DtStamp(ParameterList aList, DateTime aDate)`
`DtStamp(ParameterList aList, String aValue)`
`DtStamp(String aValue)`

### Method Summary

### Methods inherited from class net.fortuna.ical4j.model.property.UtcProperty

`getDateTime, setDateTime, setTimeZone, validate`

### Methods inherited from class net.fortuna.ical4j.model.property.DateProperty

`copy, getDate, getTimeZone, getValue, hashCode, isUtc, setDate, setUtc, setValue`

### Methods inherited from class net.fortuna.ical4j.model.Property

`equals, getName, getParameter, getParameters, getParameters, isCalendarProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DtStamp

    public DtStamp()

Default constructor. Initialises the dateTime value to the time of instantiation.

#### DtStamp

    public DtStamp(String aValue)
            throws ParseException

Parameters:
  `aValue` - a string representation of a DTSTAMP value
Throws:
  `ParseException` - if the specified value is not a valid representation

#### DtStamp

    public DtStamp(ParameterList aList,
           String aValue)
            throws ParseException

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component
Throws:
  `ParseException` - where the specified value string is not a valid date-time/date representation

#### DtStamp

    public DtStamp(DateTime aDate)

Parameters:
  `aDate` - a date representing a date-time

#### DtStamp

    public DtStamp(ParameterList aList,
           DateTime aDate)

Parameters:
  `aList` - a list of parameters for this component
  `aDate` - a date representing a date-time